Subject: Re: zsh _multi_parts patch and question
From: Marko Myllynen <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2016 14:47:18 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

On 2016-05-10 13:24, Jun T. wrote:
> On 2016/05/10, at 16:23, Marko Myllynen <[email-masked]> wrote:
> 
>>  # Fail
>>  _wanted test expl test _multi_parts -i . \
>>    ( a.b.a a.b.b b.a.a b.a.b c.a.a c.a.b ) && return 0
> 
> You need to quote the literal array, for example,
> 
> _wanted test expl test _multi_parts -i . \
>    '( a.b.a a.b.b b.a.a b.a.b c.a.a c.a.b )' && return 0

Ah, ok, now it's obvious, I think I was confused by to quoting in the
man page, this is what I see when in zshcompsys(1):

a literal array in the form `(foo bar)', a parenthesised list of words

Thanks,

-- 
Marko Myllynen